<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<title>Constructors</title>
</head>

<body>
	<label>
		<input type="radio" name="myRadio" value="1" />
		<span>Text 1</span>
	</label>
	<input type="radio" name="myRadio" value="2" />
	<input type="radio" name="myRadio" value="3" />


	<div class="wrap">
		<header>
			<form>

				<label for="author">
					<span>Author</span>
					<select id="author" name="author">
						<option value="Taras Shevchenko">Taras Shevchenko</option>
						<option value="Ivan Franko">Ivan Franko</option>
						<option value="Vasyl Stys">Vasyl Stys</option>
						<option value="Oles Gonchar">Oles Gonchar</option>
					</select>
				</label>

				<label for="message">
					<span>Message</span>
					<textarea placeholder="Your Message" id="message"></textarea>
				</label>

				<button type="submit">Send Message</button>
			</form>
		</header>

		<section>
			<ul id="message_list">
				<li>
					<div class="message__date">
						27/01/2018
					</div>
					<div class="message__author">
						<b>Ivan Franko</b>
					</div>
					<div class="message__text">
						Ночі безмірнії, ночі безсоннії...
					</div>
					<div class="message__controls">
						<button class="_skipMessage">Skip</button>
						<button class="_answerMessage">Answer</button>
					</div>
				</li>
			</ul>

		</section>



	</div>


	<script>
		let message = document.getElementById('message');
		let author = document.getElementById('author');



		class Message {
			constructor(author, id, text, date, answer) {
				this.author = author;
				this.id = id;
				this.text = text;
				this.date = date;
				this.answer = answer;
			}
			SkipMessage(){

 

			}
			AnswerMessage(){

			}
		};


  /*
    Задание на классы.

    Создать класс Message конструктор котрого состоит из следующих полей:
    id, author, text, date, answers

    У этого класса будет два метода:
    SkipMessage() -> которое должно найти сообщение и удалить его из массива.
    AnswerMessage()-> должно отрыть поле ввода, в который вы сможете ввести ответ
    SendAnswer() -> метод который «отравляет» ответ, при этом апдейча роле ответа в вашем объекте с сообщением.

    В метод SendAnswer нужно передать обьект класса Answer который наследуется от класса Message,
    Но еще дополнительно будет иметь поле parentId.


    +Bonus: После создании сообщение добавляется в массив со всеми сообщениями, которые потом будут выводится на экран.

    _ _ _

    Задание можно разбелить на две части:
      1. Создание самого сообщения:
      id->выдаётся автоматом
      Author-> селект с выбором автора
      Text -> текст сообщения
      date -> автоматически в момент создания

      Все данные беруться с формы. Массив с сообщениями передается в функцию рендера, которая генерирует сам список.

      2. Ответ на сообщение

  */

	</script>
</body>

</html>